Page MenuHomeVyOS Platform

Migrate "system login" to XML/Python representation
Closed, ResolvedPublicFEATURE REQUEST

Description

Migrate "system login" to XML/Python representation

Remove the following CLI commands:

  • Why should be add a user to a 3rd party group when the system is fully managed by CLI?
    • remove system login user <user> group node
  • There is only one privilege level, what is the sense in keeping this orphaned node?
    • remove system login user <user> level admin

Details

Difficulty level
Hard (possibly days)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

c-po created this task.Jan 28 2020, 6:34 AM
c-po changed the task status from Open to In progress.Jan 28 2020, 6:41 AM
c-po claimed this task.
c-po triaged this task as Normal priority.
c-po updated the task description. (Show Details)
c-po changed Difficulty level from Unknown (require assessment) to Hard (possibly days).
c-po updated the task description. (Show Details)Feb 5 2020, 6:09 PM
c-po updated the task description. (Show Details)
c-po closed this task as Resolved.Feb 5 2020, 6:36 PM
pasik added a subscriber: pasik.Feb 8 2020, 2:59 PM
c-po changed the status of subtask T2022: When RADIUS config is active, local logins won't work from Open to In progress.Feb 9 2020, 1:58 PM
c-po moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.Sun, Mar 22, 8:52 AM